<!doctype html>
<html class="no-js" lang="zxx" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Admin panel</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="apple-touch-icon" th:href="@{~/apple-touch-icon.png}">
    <link rel="stylesheet" th:href="@{~/plugins/bootstrap/bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{~/plugins/themefisher-fonts/themefisher-fonts.css}">
    <link rel="stylesheet" th:href="@{~/plugins/magnific-popup/magnific-popup.css}">
    <link rel="stylesheet" th:href="@{~/plugins/animate/animate.css}">
    <link rel="stylesheet" th:href="@{~/plugins/slick/slick.css}">
    <link rel="stylesheet" th:href="@{~/css/style.css}">
    <script th:src="@{~/plugins/modernizr.min.js}"></script>
</head>

<body>
<div class="loading">
    <div class="windows8 loading-position">
        <div class="wBall" id="wBall_1">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_2">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_3">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_4">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_5">
            <div class="wInnerBall"></div>
        </div>
    </div>
</div>

<nav class="navbar navbar-fixed-top navigation">
    <div class="container">
        <div class="navbar-header">
            <div>
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a th:href="@{/}" class="navbar-brand logo" href="index.html" style="background:linear-gradient(45deg,#E8ED84,#EE9D43,#EBD56F);
                -webkit-background-clip: text;-webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent; font-weight: bold; font-size: 26px;
        text-align: center!important; vertical-align: middle!important;">
                    <div style="padding-top: 7px; font-family: Georgia, cursive">
                        <img src="/images/puzzle.png" style="height: 45px; width:45px" alt="logo"/>ADDONIS m3mbers
                    </div>
                </a>
            </div>
        </div>
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <ul class="nav navbar-nav navbar-right menu">
                <li><a th:href="@{/addons}" href="addons-list.html">Marketplace</a></li>
                <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                    Sign Up</a></li>
                <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                    Login</a></li>
                <li><a th:href="@{'/users/'+${user.username}}" href="profile.html" sec:authorize="isAuthenticated()">
                    Profile</a></li>
                <li>
                <li><a th:href="@{/admin}" href="admin.html" sec:authorize="hasRole('ADMIN')">
                    Admin</a></li>
                <li>
                    <form id="myform"
                          style="cursor: pointer; vertical-align: middle!important; padding: 15px!important;"
                          th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                        <a onclick="document.getElementById('myform').submit()"
                           style="color:papayawhip;text-decoration:none">Logout</a>
                    </form>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="col-md-12">
    <section class="blog-single col-md-9">
        <div class="container">
            <div class="row">
                <div class="title text-center">
                    <h2>Pending Addons</h2>
                </div>
                <div th:each="addon : ${pendingAddons}" class="col-md-offset-1 col-md-9">
                    <div class="blog-single-comments">
                        <div class="blog-comments">
                            <div class="media">
                                <div class="media-left blog-left-img">
                                    <div class="blog-comments-img">
                                        <img class="media-object" alt="addon pic" style="height: 77px; width: 77px"
                                             th:src="@{/images/addon.png}" src="/images/addon.png">
                                    </div>
                                </div>
                                <div class="media-body comments-body">
                                    <h4 class="media-heading comments-author" th:text="${addon.name}"></h4>
                                    <br/><br/>
                                    <table class="table">
                                        <tr class="service-description">
                                            <th class="service-description col-md-2">Status:</th>
                                            <td th:text="${addon.status.status}" class="service-description col-md-2">Status
                                            </td>
                                        </tr>

                                        <tr class="service-description">
                                            <th class="service-description col-md-2">Creator:</th>
                                            <td th:text="${addon.creator.username}" class="service-description col-md-2">
                                                Creator
                                            </td>
                                        </tr>

                                        <tr class="service-description">
                                            <th class="service-description col-md-2">Description:</th>
                                            <td th:text="${addon.description}" class="service-description col-md-2">
                                                Description
                                            </td>
                                        </tr>
                                        <tr>
                                            <th></th>
                                            <td>
                                                <a style="float: left; padding-left: 20px; color: #f0ad4e;" th:href="@{'/addon/'+${addon.addonId}}"
                                                   class="btn text-center col-md-offset-2">More Info</a>
                                                <form sec:authorize="hasRole('ADMIN')"
                                                      th:action="@{'/admin/approve/'+${addon.addonId}}" method="post">
                                                    <input th:href="@{'/admin/approve/'+${addon.addonId}}"
                                                           class="btn btn-warning" style="float: right"
                                                           type="submit" value="Approve Addon"/>
                                                </form>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="col-md-3" style="height: 25%">
        <br/><br/><br/><br/><br/><br/><br/><br/>
        <div class="blog-sidbar">
            <div class="categories widgets">
                <div class="list-group text-center">
                    <div class="list-group-item active">Admin Panel</div>
                    <a th:href="@{/admin/users}" class="list-group-item">Users</a>
                    <a th:href="@{/admin/pending}" class="list-group-item">Pending Addons</a>
                </div>
            </div>
        </div>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="container">
                <div class="footer-nav text-center">
                    <div class="col-md-12">
                        <ul>
                            <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">files
                                Sign Up</a></li>
                            <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                                Login</a></li>
                            <li><a th:href="@{'/users/'+${user.username}}" href="profile.html"
                                   sec:authorize="isAuthenticated()">Profile</a></li>
                            <li>
                                <form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                                    <a onclick="document.getElementById('myform').submit()" style="color:papayawhip;text-decoration:none">Logout</a>
                                </form>
                        </ul>
                    </div>
                </div>
                <div class="text-center">
                    <div class="col-md-12">
                        <div class="copyright">
                            <p>&copy; 2020 All rights reserved. <br>
                                Design and Developed By Addonis M3mbers</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>

<script th:src="@{~/plugins/jquery.min.js}"></script>
<script th:src="@{~/plugins/bootstrap/bootstrap.min.js}"></script>
<script th:src="@{~/plugins/slick/slick.min.js}"></script>
<script th:src="@{~/plugins/filterizr/jquery.filterizr.min.js}"></script>
<script th:src="@{~/plugins/magnific-popup/jquery.magnific-popup.min.js}"></script>
<script th:src="@{~/plugins/parallax.min.js}"></script>
<script th:src="@{~/plugins/jquery.vide.js}"></script>
<script th:src="@{~/js/script.js}"></script>
</body>
</html>
